--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: included
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: URL
  value: "'https://www.beanstream.com/scripts/process_transaction.asp'"
- !ruby/object:RI::Constant 
  comment: 
  name: TRANSACTIONS
  value: "{         :authorization  => 'PA',         :purchase       => 'P',         :capture        => 'PAC',         :credit         => 'R',         :void           => 'VP',         :check_purchase => 'D',         :check_credit   => 'C',         :void_purchase  => 'VP',         :void_credit    => 'VR'"
- !ruby/object:RI::Constant 
  comment: 
  name: CVD_CODES
  value: "{         '1' => 'M',         '2' => 'N',         '3' => 'I',         '4' => 'S',         '5' => 'U',         '6' => 'P'"
- !ruby/object:RI::Constant 
  comment: 
  name: AVS_CODES
  value: "{         '0' => 'R',         '5' => 'I',         '9' => 'I'"
full_name: ActiveMerchant::Billing::BeanstreamCore
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: credit
name: BeanstreamCore
superclass: 
